%define pkg_name        ToolSet
%define pkg_version     0.13
%define rpm_pkg_version 0.13
%define rpm_pkg_release 2.n0i.2

Summary:       Load your commonly-used modules in a single import
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Getopt::Std)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Cwd)
%endif


%description
ToolSet provides a mechanism for creating logical bundles of modules that
can be treated as a single, reusable toolset that is imported as one.
Unlike CPAN bundles, which specify modules to be installed together, a
toolset specifies modules to be imported together into other code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README Todo


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.13-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer 804.027

* Wed May 24 2006 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
